> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /instances/types

> Return all the GPU instance types with their corresponding availability and specs.



## OpenAPI

````yaml get /instances/types
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /instances/types:
    get:
      summary: /instances/types
      description: >-
        Return all the GPU instance types with their corresponding availability
        and specs.
      operationId: InstancesTypes
      parameters:
        - in: query
          name: cloud
          schema:
            type: string
          example: aws
          description: Filter the instance type results by cloud.
        - in: query
          name: region
          schema:
            type: string
          example: us-east-1a
          description: Filter the instance type results by region.
        - in: query
          name: num_gpus
          schema:
            type: string
          example: 1
          description: Filter the instance type results by the number of gpus.
        - in: query
          name: gpu_type
          schema:
            type: string
          example: A100_80G
          description: Filter the instance type results by gpu type.
        - in: query
          name: shade_instance_type
          schema:
            type: string
          example: A100_80G
          description: Filter the instance type results by the shade instance type.
        - in: query
          name: available
          schema:
            type: boolean
          example: true
          description: Filter the instance type results by availability.
        - in: query
          name: sort
          schema:
            type: string
            enum:
              - price
          example: price
          description: Sort the order of the instance type results.
      responses:
        '200':
          description: Returns an InstanceTypesResponse object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstanceTypesResponse'
components:
  schemas:
    InstanceTypesResponse:
      description: Response of /instances/types
      type: object
      required:
        - instance_types
      properties:
        instance_types:
          type: array
          items:
            $ref: '#/components/schemas/InstanceType'
    InstanceType:
      description: Information about a specific instance type
      type: object
      required:
        - cloud
        - shade_instance_type
        - cloud_instance_type
        - configuration
        - hourly_price
        - deployment_type
        - availability
      properties:
        cloud:
          $ref: '#/components/schemas/Cloud'
        shade_instance_type:
          $ref: '#/components/schemas/ShadeInstanceType'
        cloud_instance_type:
          $ref: '#/components/schemas/CloudInstanceType'
        configuration:
          $ref: '#/components/schemas/InstanceTypeConfiguration'
        hourly_price:
          $ref: '#/components/schemas/HourlyPrice'
        deployment_type:
          $ref: '#/components/schemas/DeploymentType'
        availability:
          type: array
          items:
            $ref: '#/components/schemas/Availability'
          example:
            - region: us-central-1
              available: true
              display_name: US, Wichita, KS
            - region: us-central-2
              available: false
              display_name: US, Wichita, KS
        boot_time:
          $ref: '#/components/schemas/BootTime'
    Cloud:
      type: string
      example: hyperstack
      description: >-
        Specifies the underlying cloud provider. See this
        [explanation](/getting-started/concepts#cloud-cloud-provider) for more
        details.
    ShadeInstanceType:
      type: string
      example: A6000
      description: >-
        The Shadeform standardized instance type. See this
        [explanation](/getting-started/concepts#shade-instance-type-and-cloud-instance-type)
        for more details.
    CloudInstanceType:
      type: string
      example: gpu_1x_a6000
      description: >-
        The instance type for the underlying cloud provider. See this
        [explanation](/getting-started/concepts#shade-instance-type-and-cloud-instance-type)
        for more details.
    InstanceTypeConfiguration:
      type: object
      required:
        - memory_in_gb
        - storage_in_gb
        - vcpus
        - num_gpus
        - gpu_type
        - interconnect
        - os_options
        - vram_per_gpu_in_gb
        - gpu_manufacturer
      properties:
        memory_in_gb:
          type: integer
          example: 12
          description: >-
            The amount of memory for the instance in gigabytes. Note that this
            is not VRAM which is determined by GPU type and the number of GPUs.
        storage_in_gb:
          type: integer
          example: 256
          description: >-
            The amount of storage for the instance. If this storage is too low
            for the instance type, please email support@shadeform.ai as the
            storage may be adjustable.
        vcpus:
          type: integer
          example: 6
          description: The number of vCPUs for the instance.
        num_gpus:
          type: integer
          example: 1
          description: The number of GPUs for the instance.
        gpu_type:
          type: string
          example: A100
          description: The type of GPU for the instance.
        interconnect:
          type: string
          example: pcie
          description: The type of GPU interconnect.
        nvlink:
          type: boolean
          example: true
          description: If the instance has NVLink
        vram_per_gpu_in_gb:
          type: integer
          example: 48
          description: The video memory per GPU for the instance in gigabytes.
        os_options:
          type: array
          items:
            type: string
          example:
            - ubuntu22.04_cuda12.2_shade_os
            - ubuntu20.04_cuda12.0_shade_os
          description: The list of available operating systems for the instance.
        gpu_manufacturer:
          type: string
          example: nvidia
          description: The manufacturer of the gpu
    HourlyPrice:
      type: integer
      example: 210
      description: The hourly price of the instance in cents.
    DeploymentType:
      type: string
      example: vm
      description: >-
        Whether the instance is a "vm" (virtual machine), a "container" (docker
        container), or "baremetal" (bare metal server).
    Availability:
      type: object
      required:
        - region
        - available
        - display_name
      properties:
        region:
          $ref: '#/components/schemas/Region'
        available:
          type: boolean
          example: true
          description: Indicate whether the instance is available in the region.
        display_name:
          type: string
          example: Toronto, Canana
          description: The display name of the region
    BootTime:
      type: object
      properties:
        min_boot_in_sec:
          type: integer
          example: 180
          description: boot time minimum estimate
        max_boot_in_sec:
          type: integer
          example: 300
          description: boot time maximum estimate
    Region:
      type: string
      example: canada-1
      description: Specifies the region.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````